package com.company.example.db.test;

import org.jdesigner.platform.db.Persistence;
import org.jdesigner.platform.db.PersistenceManager;
import org.jdesigner.platform.db.annotation.DB;
import org.jdesigner.platform.db.annotation.SQL;
import org.jdesigner.platform.db.query.NamedQuery;

/**
 * TestAnnotationDAO
 * 
 * @author leesangboo
 * 
 */
@DB
public class TestAnnotationDAO {

	/**
	 * Annotation 을 통한 NamedQuery 설정 예제
	 * 
	 * @return
	 */
	@SQL(name = "select01", sql = " SELECT * FROM DUAL " + " WHERE 1 = 1 ")
	public void testSelectList() {
		Persistence persistence = PersistenceManager.getPersistence();
		NamedQuery query = persistence.newNamedQuery("annotation:select01");
		query.execute().selectList();
	}

}
