package com.company.example.service.test;

import java.util.List;
import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import org.jdesigner.platform.data.Page;

import com.company.example.db.test.TestDAO;
import com.company.example.exception.ApplicationException;
import com.company.example.service.BaseService;

/**
 * TestService
 * 
 * @author SangBoo Lee
 * @date 2010. 1. 27.
 * @since 1.0
 * 
 */
public class TestService extends BaseService {

	private static final long serialVersionUID = 1L;

	private static final Log log = LogFactory.getLog(TestService.class);

	private TestDAO test_dao;

	public TestService() {
		init(); //
	}

	private void init() {
		//
		log.info("Service[" + this.getClass() + "] initialize...");
		//
		test_dao = new TestDAO();
	}

	public Page selectPage(Map<String, Object> params, int start, int range, String sort, boolean desc) throws ApplicationException {
		return test_dao.selectPage(params, start, range, sort, desc);
	}

	public List<Map<String, Object>> selectList(Map<String, Object> params) throws ApplicationException {
		return test_dao.selectList(params);
	}

	public Map<String, Object> selectMap(Map<String, Object> params) throws ApplicationException {
		return test_dao.selectMap(params);
	}

	public void insert(Map<String, Object> params) throws ApplicationException {
		test_dao.insert(params);
	}

	public void update(Map<String, Object> params) throws ApplicationException {
		test_dao.update(params);
	}

	public void delete(Map<String, Object> params) throws ApplicationException {
		test_dao.delete(params);
	}

}
