package com.company.example.web.document;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import org.jdesigner.platform.web.annotation.Action;
import org.jdesigner.platform.web.annotation.Forward;
import org.jdesigner.platform.web.annotation.View;
import org.jdesigner.platform.web.annotation.Web;
import org.jdesigner.platform.web.form.Form;
import org.jdesigner.platform.web.grid.Grid;
import org.jdesigner.platform.web.json.JSONResult;
import org.jdesigner.platform.web.table.Table;

import com.company.example.web.BaseActionBean;

@Web(namespace = "document_api_bean")
public class APIBean extends BaseActionBean {

	private static final long serialVersionUID = 1L;

	private static final Log log = LogFactory.getLog(APIBean.class);

	private Form form;
	private Form search;
	private Grid grid;
	private Table table;
	private JSONResult json;

	public APIBean() {
		init();//
	}

	private void init() {
		log.info("ActionBean[" + this.getClass() + "] initialize...");
		search = new Form();
		form = new Form();
		table = new Table();
		grid = new Grid();
		json = new JSONResult();
	}

	@Action(path = "/document/api/index", scope = "request", validate = false)
	@Forward(name = View.SUCCESS, layout = ".main.layout", content = "/document/api/index.jsp")
	public String index() throws Exception {
		return View.SUCCESS;
	}

	public Form getForm() {
		return form;
	}

	public void setForm(Form form) {
		this.form = form;
	}

	public Form getSearch() {
		return search;
	}

	public void setSearch(Form search) {
		this.search = search;
	}

	public Grid getGrid() {
		return grid;
	}

	public void setGrid(Grid grid) {
		this.grid = grid;
	}

	public Table getTable() {
		return table;
	}

	public void setTable(Table table) {
		this.table = table;
	}

	public JSONResult getJson() {
		return json;
	}

	public void setJson(JSONResult json) {
		this.json = json;
	}

}
