package com.company.example.web.home;

import java.util.HashMap;
import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import org.jdesigner.application.template.service.CommonServiceFactory;
import org.jdesigner.application.template.service.SecurityService;

import com.company.example.web.BaseActionBean;

/**
 * <B> Home Roar Bean </B>
 * 
 * @author SangBoo Lee
 * @date 2009. 11. 19.
 * @since 1.0
 * 
 */
public class HomeRoarBean extends BaseActionBean {

	private static final long serialVersionUID = 1L;

	private static final Log log = LogFactory.getLog(HomeRoarBean.class);

	private SecurityService security_service;

	private Map last_login_map;

	public HomeRoarBean() {
		init(); //
	}

	public void init() {
		//
		log.info("ActionBean[" + this.getClass() + "] initialize...");
		//
		security_service = CommonServiceFactory.getSecurityService();
		//
		last_login_map = new HashMap();
	}

	public String roar() throws Exception {
		Map params = new HashMap();
		last_login_map = security_service.selectUserLoginHistoryByLast(params);
		return SUCCESS;
	}

	/**
	 * @return the security_service
	 */
	public SecurityService getSecurity_service() {
		return security_service;
	}

	/**
	 * @param securityService
	 *            the security_service to set
	 */
	public void setSecurity_service(SecurityService securityService) {
		security_service = securityService;
	}

	/**
	 * @return the last_login_map
	 */
	public Map getLast_login_map() {
		return last_login_map;
	}

	/**
	 * @param lastLoginMap
	 *            the last_login_map to set
	 */
	public void setLast_login_map(Map lastLoginMap) {
		last_login_map = lastLoginMap;
	}

}
