package com.company.example.web.module;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import org.jdesigner.platform.web.annotation.Action;
import org.jdesigner.platform.web.annotation.Forward;
import org.jdesigner.platform.web.annotation.View;
import org.jdesigner.platform.web.annotation.Web;
import org.jdesigner.platform.web.fileupload.MultiFileUpload;
import org.jdesigner.platform.web.fileupload.SingleFileUpload;
import org.jdesigner.platform.web.form.Form;
import org.jdesigner.platform.web.form.FormMode;
import org.jdesigner.platform.web.grid.Grid;
import org.jdesigner.platform.web.json.JSONResult;
import org.jdesigner.platform.web.table.Table;

import org.jdesigner.application.template.service.CommonServiceFactory;
import org.jdesigner.application.template.service.FileUploadService;

import com.company.example.service.module.NameService;
import com.company.example.web.BaseActionBean;

/**
 * NameBean
 * 
 * @author
 * 
 */
@Web(namespace = "module_name")
public class NameBean extends BaseActionBean {

	private static final long serialVersionUID = 1L;

	private static final Log log = LogFactory.getLog(NameBean.class);

	private Form form;
	private Form search;
	private Grid grid;
	private Table table;
	private JSONResult json;
	private SingleFileUpload single_fileupload;
	private MultiFileUpload multi_fileupload;

	private FileUploadService fileupload_service;
	private NameService nameservice;

	public NameBean() {
		init();//
	}

	private void init() {
		//
		log.info("ActionBean[" + this.getClass() + "] initialize...");
		//
		search = new Form();
		form = new Form();
		table = new Table();
		grid = new Grid();
		json = new JSONResult();
		single_fileupload = new SingleFileUpload();
		multi_fileupload = new MultiFileUpload();
		//
		fileupload_service = CommonServiceFactory.getFileUploadService();
		nameservice = new NameService();
	}

	@Override
	public void reset() {
		//
	}

	@Action(path = "/module/index")
	@Forward(name = View.SUCCESS, layout = ".main.layout", content = "/module/index.jsp")
	public String index() throws Exception {
		return View.SUCCESS;
	}

	@Action(path = "/module/grid")
	public String grid() throws Exception {
		grid = new Grid(nameservice.selectPage(search, grid.getStart(), grid.getRange(), grid.getSort(), grid.isDesc()));
		return View.GRID;
	}

	@Action(path = "/module/add")
	@Forward(name = View.SUCCESS, layout = ".main.layout", content = "/module/form.jsp")
	public String add() throws Exception {
		form.setMode(FormMode.INSERT);
		return View.SUCCESS;
	}

	@Action(path = "/module/edit")
	@Forward(name = View.SUCCESS, layout = ".main.layout", content = "/module/form.jsp")
	public String edit() throws Exception {
		form.setMode(FormMode.UPDATE);
		form.putAll(nameservice.selectMap(form));
		return View.SUCCESS;
	}

	@Action(path = "/module/insert")
	@Forward(name = View.SUCCESS, layout = ".main.layout", content = "/module/index.jsp")
	public String insert() throws Exception {
		//
		fileupload_service.saveSingleFile(single_fileupload, "c:/temp/");
		fileupload_service.saveMultiFile(multi_fileupload, "c:/temp/");
		//
		nameservice.insert(form);
		super.setServerMessage("common.insert.success");
		init();
		return View.SUCCESS;
	}

	@Action(path = "/module/update")
	@Forward(name = View.SUCCESS, layout = ".main.layout", content = "/module/index.jsp")
	public String update() throws Exception {
		nameservice.update(form);
		super.setServerMessage("common.update.success");
		init();
		return View.SUCCESS;
	}

	@Action(path = "/module/delete")
	@Forward(name = View.SUCCESS, layout = ".main.layout", content = "/module/index.jsp")
	public String delete() throws Exception {
		nameservice.delete(form);
		super.setServerMessage("common.delete.success");
		init();
		return View.SUCCESS;
	}

	public Form getForm() {
		return form;
	}

	public void setForm(Form form) {
		this.form = form;
	}

	public Form getSearch() {
		return search;
	}

	public void setSearch(Form search) {
		this.search = search;
	}

	public Grid getGrid() {
		return grid;
	}

	public void setGrid(Grid grid) {
		this.grid = grid;
	}

	public Table getTable() {
		return table;
	}

	public void setTable(Table table) {
		this.table = table;
	}

	public JSONResult getJson() {
		return json;
	}

	public void setJson(JSONResult json) {
		this.json = json;
	}

	public SingleFileUpload getSingle_fileupload() {
		return single_fileupload;
	}

	public void setSingle_fileupload(SingleFileUpload singleFileupload) {
		single_fileupload = singleFileupload;
	}

	public MultiFileUpload getMulti_fileupload() {
		return multi_fileupload;
	}

	public void setMulti_fileupload(MultiFileUpload multiFileupload) {
		multi_fileupload = multiFileupload;
	}

}
