package com.company.example.web.test;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import org.jdesigner.platform.web.ActionBean;
import org.jdesigner.platform.web.annotation.Action;
import org.jdesigner.platform.web.annotation.Forward;
import org.jdesigner.platform.web.annotation.View;
import org.jdesigner.platform.web.annotation.Web;
import org.jdesigner.platform.web.form.Form;
import org.jdesigner.platform.web.grid.Grid;
import org.jdesigner.platform.web.json.JSONResult;
import org.jdesigner.platform.web.table.Table;

@Web
public class TestAnnotationBean extends ActionBean {

	private static final long serialVersionUID = 1L;

	private static final Log log = LogFactory.getLog(TestAnnotationBean.class);

	private Form form;
	private Form search;
	private Grid grid;
	private Table table;
	private JSONResult json;

	public TestAnnotationBean() {
		init();//
	}

	private void init() {
		//
		log.info("ActionBean[" + this.getClass() + "] initialize...");
		//
		search = new Form();
		form = new Form();
		table = new Table();
		grid = new Grid();
		json = new JSONResult();
	}

	/**
	 * Annotation 을 통한 Struts Action 및 Tails Forward 설정 예제
	 * 
	 * @return
	 * @throws Exception
	 */
	@Action(path = "/annotation/index")
	@Forward(name = View.SUCCESS, layout = ".main.layout", content = "/introduction/index.jsp")
	public String index() throws Exception {
		return View.SUCCESS;
	}

	@Action(path = "/annotation/test1")
	@View( { @Forward(name = View.SUCCESS, path = "/home/home.do"), @Forward(name = View.NEXT, path = "/home/home.do", redirect = true) })
	public String test1() throws Exception {
		return View.SUCCESS;
	}

	@Action(path = "/annotation/test2")
	@View( { @Forward(name = View.SUCCESS, layout = ".main.layout", content = "/sample/crud/index.jsp"), @Forward(name = View.NEXT, path = "/home/home.do", redirect = true) })
	public String test2() throws Exception {
		return View.NEXT;
	}

	public Form getForm() {
		return form;
	}

	public void setForm(Form form) {
		this.form = form;
	}

	public Form getSearch() {
		return search;
	}

	public void setSearch(Form search) {
		this.search = search;
	}

	public Grid getGrid() {
		return grid;
	}

	public void setGrid(Grid grid) {
		this.grid = grid;
	}

	public Table getTable() {
		return table;
	}

	public void setTable(Table table) {
		this.table = table;
	}

	public JSONResult getJson() {
		return json;
	}

	public void setJson(JSONResult json) {
		this.json = json;
	}

}
