package com.company.example.web.test;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import org.jdesigner.platform.util.DateUtils;
import org.jdesigner.platform.web.form.Form;
import org.jdesigner.platform.web.form.FormMode;
import org.jdesigner.platform.web.grid.Grid;
import org.jdesigner.platform.web.json.JSONResult;
import org.jdesigner.platform.web.table.Table;

import com.company.example.service.test.TestService;
import com.company.example.web.BaseActionBean;

/**
 * TestBean
 * 
 * @author SangBoo Lee
 * @date 2010. 1. 27.
 * @since 1.0
 * 
 */
public class TestBean extends BaseActionBean {

	private static final long serialVersionUID = 1L;

	private static final Log log = LogFactory.getLog(TestBean.class);

	private TestService test_service;

	private Form form;
	private Form search;
	private Grid grid;
	private Table table;
	private JSONResult json;

	public TestBean() {
		init();//
	}

	private void init() {
		//
		log.info("ActionBean[" + this.getClass() + "] initialize...");
		//
		test_service = new TestService();
		//
		search = new Form();
		form = new Form();
		table = new Table();
		grid = new Grid();
		json = new JSONResult();
	}

	public String index() throws Exception {
		search.put("from_insert_date", DateUtils.getToDate());
		search.put("to_insert_date", DateUtils.getToDate());
		return SUCCESS;
	}

	public String grid() throws Exception {
		grid = new Grid(test_service.selectPage(search, grid.getStart(), grid.getRange(), grid.getSort(), grid.isDesc()));
		return Grid.FORWARD;
	}

	public String add() throws Exception {
		form.setMode(FormMode.INSERT);
		return SUCCESS;
	}

	public String edit() throws Exception {
		form.setMode(FormMode.UPDATE);
		form.putAll(test_service.selectMap(form));
		return SUCCESS;
	}

	public String insert() throws Exception {
		test_service.insert(form);
		//
		super.setServerMessage("common.insert.success");
		init();
		return SUCCESS;
	}

	public String update() throws Exception {
		test_service.update(form);
		//
		super.setServerMessage("common.update.success");
		init();
		return SUCCESS;
	}

	public String delete() throws Exception {
		test_service.delete(form);
		//
		super.setServerMessage("common.delete.success");
		init();
		return SUCCESS;
	}

	public String apiTest() throws Exception {

		//Form 처리
		form.getString("username");
		form.getInt("age");
		form.print();
		//table 처리 
		log.info("table=" + table.toString());
		table.print();
		//JSON 결과 설정(return JSON 일경우)
		json.setStatus(JSONResult.SUCCESS);
		json.setMessage(",,,,,");
		json.put("my_key", "my_value");
		//
		log.error("my_error!!!!!!");
		//
		return SUCCESS;
	}

	public TestService getTest_service() {
		return test_service;
	}

	public void setTest_service(TestService testService) {
		test_service = testService;
	}

	public Form getForm() {
		return form;
	}

	public void setForm(Form form) {
		this.form = form;
	}

	public Form getSearch() {
		return search;
	}

	public void setSearch(Form search) {
		this.search = search;
	}

	public Grid getGrid() {
		return grid;
	}

	public void setGrid(Grid grid) {
		this.grid = grid;
	}

	public Table getTable() {
		return table;
	}

	public void setTable(Table table) {
		this.table = table;
	}

	public JSONResult getJson() {
		return json;
	}

	public void setJson(JSONResult json) {
		this.json = json;
	}

}
