/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package org.jdesigner.application.template.plugin;

import javax.servlet.ServletException;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionServlet;
import org.apache.struts.action.PlugIn;
import org.apache.struts.config.ModuleConfig;

import org.jdesigner.application.template.service.lifecycle.CacheLifecycle;

/**
 * TestPlugIn
 * 
 * @author leesangboo
 * 
 */
public class CacheLifecyclePlugIn implements PlugIn {

	private static final Log log = LogFactory.getLog(CacheLifecyclePlugIn.class);

	private String config;

	public void init(ActionServlet actionServlet, ModuleConfig config) throws ServletException {
		CacheLifecycle lifecycle = new CacheLifecycle();
		lifecycle.start(actionServlet.getServletContext(), getConfig());
		log.info("Cache service started successfully.");
	}

	public void destroy() {
		log.info("Cache service destroyed.");
	}

	public String getConfig() {
		return config;
	}

	public void setConfig(String config) {
		this.config = config;
	}

}
