/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package org.jdesigner.application.template.scheduling;

import java.util.HashMap;
import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import org.jdesigner.platform.scheduler.task.SchedulerTask;

import org.jdesigner.application.template.service.AnalysisService;
import org.jdesigner.application.template.service.CommonServiceFactory;

/**
 * SystemLogDeleteTask
 * 
 * @author leesangboo
 * 
 */
public class SystemLogDeleteTask extends SchedulerTask {

	private static final Log log = LogFactory.getLog(SystemLogDeleteTask.class);

	private static final String TARGET_MINUS_DAY = "7";

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.util.TimerTask#run()
	 */
	public void run() {
		try {
			log.info("System log delete task start...");
			Map params = new HashMap();
			params.put("target_day", TARGET_MINUS_DAY);
			AnalysisService analysis_service = CommonServiceFactory.getAnalysisService();
			analysis_service.deleteSystemLogByScheduler(params);
			log.info("System log delete task successfully completed.");
		} catch (Exception ex) {
			log.error("System log delete task failed.", ex);
		} finally {
			//
		}
	}

}