/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package org.jdesigner.application.template.service;

import java.util.List;
import java.util.Map;

import org.jdesigner.platform.data.Page;

/**
 * <B>공통 코드 서비스</B>
 * 
 * @author leesangboo
 * 
 */
public interface CommonCodeService {

	//
	public List selectLanguageList() throws CommonServiceException;

	public List selectCodeGroupOptionList() throws CommonServiceException;

	// 코드 그룹
	public Page selectCodeGroupPage(Map params, int start, int range, String sort, boolean desc) throws CommonServiceException;

	public Map selectCodeGroup(Map params) throws CommonServiceException;

	public void insertCodeGroup(Map params) throws CommonServiceException;

	public void updateCodeGroup(Map params) throws CommonServiceException;

	public void deleteCodeGroup(Map params) throws CommonServiceException;

	// 코드
	public Page selectCodePage(Map params, int start, int range, String sort, boolean desc) throws CommonServiceException;

	public Map selectCode(Map params) throws CommonServiceException;

	public void insertCode(Map params) throws CommonServiceException;

	public void updateCode(Map params) throws CommonServiceException;

	public void deleteCode(Map params) throws CommonServiceException;

}
