/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.jdesigner.application.template.web.file;

import javax.servlet.http.HttpSession;

/**
 * <B>Download Utils</B>
 * 
 * @author SangBoo Lee
 * @date 2010. 1. 18.
 * @since 1.0
 * 
 */
public class FileDownloadActionUtils {

	/**
	 * 파일 다운로드 액션 연결 이전에, 다운로드를 위해, 세션에 파일 정보를 설정한다.
	 * 
	 * @param session
	 * @param fileDir
	 * @param fileName
	 * @param fileContentType
	 */
	public static void setSessionForDownload(HttpSession session, String fileDir, String fileName, String save_name, String fileContentType) {
		session.setAttribute(FileDownloadAction.FILE_DIR_KEY, fileDir);
		session.setAttribute(FileDownloadAction.FILE_NAME_KEY, fileName);
		session.setAttribute(FileDownloadAction.SAVE_NAME_KEY, save_name);
		session.setAttribute(FileDownloadAction.FILE_CONTENT_TYPE_KEY, fileContentType);
	}

}
