/*
 * JDesigner (R) Web Application Development Platform 
 * Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 * http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package org.jdesigner.platform.data;

import org.jdesigner.platform.context.ApplicationConfigUtils;

/**
 * <B> DataUtils </B>
 * 
 * @author leesangboo
 * 
 */
public class DataUtils {

	private static final String NUMBER_GROUPING_KEY = "platform.data.number.grouping";

	private static final String DATA_PATTERN_DATE_KEY = "platform.data.pattern.date";

	private static final String DATA_PATTERN_TIME_KEY = "platform.data.pattern.time";

	private static final String DATA_PATTERN_DATE_TIME_KEY = "platform.data.pattern.datetime";

	/**
	 * NumberGrouping여부를 반환한다.
	 * 
	 * @return
	 */
	public static boolean isNumberGrouping() {
		return Boolean.valueOf(ApplicationConfigUtils.getProperty(NUMBER_GROUPING_KEY)).booleanValue();
	}

	/**
	 * DatePattern을 반환한다.
	 * 
	 * @return
	 */
	public static String getDatePattern() {
		return ApplicationConfigUtils.getProperty(DATA_PATTERN_DATE_KEY);
	}

	/**
	 * TimePattern을 반환한다.
	 * 
	 * @return
	 */
	public static String getTimePattern() {
		return ApplicationConfigUtils.getProperty(DATA_PATTERN_TIME_KEY);
	}

	/**
	 * DateTimePattern을 반환한다.
	 * 
	 * @return
	 */
	public static String getDateTimePattern() {
		return ApplicationConfigUtils.getProperty(DATA_PATTERN_DATE_TIME_KEY);
	}

}
