/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.jdesigner.platform.db.processor;

import org.jdesigner.platform.db.processor.impl.NamedQueryProcessorImpl;
import org.jdesigner.platform.db.processor.impl.QueryProcessorImpl;
import org.jdesigner.platform.db.processor.impl.TableQueryProcessorImpl;
import org.jdesigner.platform.db.query.NamedQuery;
import org.jdesigner.platform.db.query.Query;
import org.jdesigner.platform.db.query.TableQuery;

/**
 * QueryProcessorFactory
 * 
 * @author leesangboo
 * 
 */
public class QueryProcessorFactory {

	public static QueryProcessor getQueryProcessor(Query query) {
		return new QueryProcessorImpl(query);
	}

	public static NamedQueryProcessor getNamedQueryProcessor(NamedQuery query) {
		return new NamedQueryProcessorImpl(query);
	}

	public static TableQueryProcessor getTableQueryProcessor(TableQuery query) {
		return new TableQueryProcessorImpl(query);
	}

}
