/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.jdesigner.platform.db.transaction;

/**
 * <B>Transaction Factory</B>
 * 
 * @author leesangboo
 * 
 */
public class TransactionFactory {

	/**
	 * 트랜잭션을 생성한다.
	 * 
	 * @return
	 */
	public Transaction createTransaction(int transactionType, String dataSourceJNDIName) {
		if (transactionType == (Transaction.JDBC)) {
			return new JDBCTransaction(dataSourceJNDIName);
		} else if (transactionType == (Transaction.JTA)) {
			return new JTATransaction(dataSourceJNDIName);
		} else if (transactionType == (Transaction.NONE)) {
			return new NoneTransaction();
		} else {
			throw new TransactionException("Unsupport this transaction type : [" + transactionType + "]");
		}
	}

}
