/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.jdesigner.platform.db.util;

import java.util.ArrayList;
import java.util.List;

/**
 * <B>Query Parameters</B>
 * 
 * 
 * @author leesangboo
 * 
 */
public class QueryParameters extends ArrayList implements List {

	private static final long serialVersionUID = 1L;

	public QueryParameters add(String value) {
		super.add(value);
		return this;
	}

	public QueryParameters add(int value) {
		super.add(new Integer(value));
		return this;
	}

	public QueryParameters add(float value) {
		super.add(new Float(value));
		return this;
	}

	public QueryParameters add(double value) {
		super.add(new Double(value));
		return this;
	}

	public QueryParameters add(long value) {
		super.add(new Long(value));
		return this;
	}

	public QueryParameters add(Integer value) {
		super.add(value);
		return this;
	}

	public QueryParameters add(Float value) {
		super.add(value);
		return this;
	}

	public QueryParameters add(Double value) {
		super.add(value);
		return this;
	}

	public QueryParameters add(Long value) {
		super.add(value);
		return this;
	}

	public QueryParameters add(java.util.Date value) {
		super.add(value);
		return this;
	}

	public QueryParameters add(java.sql.Date value) {
		super.add(value);
		return this;
	}

	public QueryParameters add(java.sql.Timestamp value) {
		super.add(value);
		return this;
	}

	public QueryParameters add(java.sql.Time value) {
		super.add(value);
		return this;
	}

	public QueryParameters add(byte[] value) {
		super.add(value);
		return this;
	}

	public QueryParameters add(java.io.File value) {
		super.add(value);
		return this;
	}

}
