/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.jdesigner.platform.jndi;

import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

//import org.jdesigner.platform.context.ApplicationContextFactory;

/**
 * ContextFactory
 * 
 * @author leesangboo
 * 
 */
public class ContextFactory {

	private static final Log log = LogFactory.getLog(ContextFactory.class);

	private static class InitialContextFactoryHolder {
		static ContextFactory instance = new ContextFactory();
	}

	public static ContextFactory getInstance() {
		return InitialContextFactoryHolder.instance;
	}

	private Context context;

	/**
	 * Naming Context 를 반환한다.
	 * 
	 * @return
	 * @throws NamingException
	 */
	public Context getContext() throws NamingException {
		// ApplicationContextFactory factory =
		// ApplicationContextFactory.getInstance();
		// String wasName = factory.getApplicationContext().getWasName();
		if (context == null) {
			/*
			 * if (wasName.startsWith("Apache Tomcat")){ if(log.isDebugEnabled()) log.debug("Apache tomcat naming context initialize.");
			 * InitialContext initialContext = new InitialContext(); try{ context = (Context) initialContext.lookup("java:/comp/env");
			 * }catch(Exception ex){ context = new InitialContext(); } return context; }else{ InitialContext initialContext = new InitialContext();
			 * context = initialContext; return context; }
			 */
			InitialContext initialContext = new InitialContext();
			context = initialContext;
			return context;
		} else {
			if (log.isDebugEnabled()) {
				log.debug("Return cached naming context.");
			}
			return context;
		}
	}

}
