package org.jdesigner.platform.util;

import java.text.NumberFormat;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * 실행 타이머
 * 
 * @author leesangboo
 * 
 */
public class ExecuteTimer {

	private static final Log log = LogFactory.getLog(ExecuteTimer.class);

	// Attributes ----------------------------------------------------
	long current = System.currentTimeMillis();

	long start = current;

	// Public --------------------------------------------------------
	public long getTime() {
		// Return how long time has passed since last check point
		long now = System.currentTimeMillis();
		long time = now - current;

		// Reset so that next time we get from this point
		current = now;

		return time;

	}

	public long getTotal() {
		// Reset start so that next time we get from this point
		return System.currentTimeMillis() - start;
	}

	public void log(String suffix) {
		NumberFormat format = NumberFormat.getNumberInstance();
		log.info("[" + suffix + "] : Run Time : [" + format.format(getTotal()) + "]ms");
	}

}
