/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.jdesigner.platform.web;

import org.apache.commons.lang.StringUtils;

/**
 * ActionMapping
 * 
 * @author leesangboo
 * 
 */
public class ActionMapping extends org.apache.struts.action.ActionMapping {

	private static final long serialVersionUID = 1L;

	private static final String BASE_ACTION_CLASS_NAME = "org.jdesigner.platform.web.BeanAction";

	private String validator = null;

	private boolean tokenSave = false;

	private boolean tokenValidate = false;

	private boolean tokenReset = false;

	private boolean prg = false;

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.apache.struts.config.ActionConfig#getType()
	 */
	public String getType() {
		if (StringUtils.isEmpty(type)) {
			return BASE_ACTION_CLASS_NAME;
		} else {
			return type;
		}
	}

	public void setValidator(String validator) {
		this.validator = validator;
	}

	public String getValidator() {
		return this.validator;
	}

	public boolean isTokenReset() {
		return tokenReset;
	}

	public void setTokenReset(boolean tokenReset) {
		this.tokenReset = tokenReset;
	}

	public boolean isTokenSave() {
		return tokenSave;
	}

	public void setTokenSave(boolean tokenSave) {
		this.tokenSave = tokenSave;
	}

	public boolean isTokenValidate() {
		return tokenValidate;
	}

	public void setTokenValidate(boolean tokenValidate) {
		this.tokenValidate = tokenValidate;
	}

	public boolean isPrg() {
		return prg;
	}

	public void setPrg(boolean prg) {
		this.prg = prg;
	}

}
