/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.jdesigner.platform.web;

/**
 * Web Constants
 * 
 * @author leesangboo
 * 
 */
public abstract interface WebConstants {

	// HTTP Keys
	public static final int HTTP_PORT = 80;

	public static final int HTTP_SSL_PORT = 443;

	// Foward Keys
	public static final String SUCCESS = "success";

	public static final String ERROR = "error";

	public static final String CANCEL = "cancel";

	public static final String FORM = "form";

	public static final String NEXT = "next";

	public static final String LIST = "list";

	public static final String PREPARE = "prepare";

	public static final String JSON = "json";

	public static final String GRID = "grid";

	public static final String NULL = "null";

	// Multipart
	public static final String MULTIPART_ERROR_KEY = "multipart.error";

	public static final String MULTIPART_ERROR_MESSAGE_KEY = "multipart.error.message";

	// Token
	public static final String TOKEN_ERROR_KEY = "token.error";

	public static final String TOKEN_ERROR_MESSAGE_KEY = "token.error.message";

	// Validation
	public static final String VALIDATION_ERROR_KEY = "validation.error";

	public static final String VALIDATION_ERROR_MESSAGES_KEY = "validation.error.messages";

	// Message And Error
	public static final String GLOBAL_MESSAGE = "global.message";

	public static final String GLOBAL_ERROR = "global.error";

	// Theme
	public static final String THEME_KEY = "user.theme.key";

	public static final String THEME_RESOURCE_PATH = "/common/css/theme";

}