/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package org.jdesigner.platform.web.locale;

//import org.apache.commons.logging.Log;
//import org.apache.commons.logging.LogFactory;
//import org.jdesigner.platform.context.ApplicationConfigUtils;

/**
 * LocaleHandlerFactory
 * 
 * @author leesangboo
 * 
 */
public class LocaleHandlerFactory {

	// private static final Log log =
	// LogFactory.getLog(LocaleHandlerFactory.class);

	// private static final String DEFAULT_LIFECYCLE_KEY = "cookie";

	private static class LocaleHandlerFactoryHolder {
		static LocaleHandlerFactory instance = new LocaleHandlerFactory();
	}

	public static LocaleHandlerFactory getInstance() {
		return LocaleHandlerFactoryHolder.instance;
	}

	private LocaleHandler localeHandler;

	/**
	 * Return locale handler
	 * 
	 * @return
	 */
	public LocaleHandler getLocaleHandler() {
		if (localeHandler == null) {
			// String key =
			// ApplicationConfigUtils.getProperty(DEFAULT_LIFECYCLE_KEY);
			// if (key.equals("cookie")) {
			localeHandler = new CookieLocaleHandler();
			// } else if (key.equals("session")) {
			// localeHandler = new SessionLocaleHandler();
			// } else {
			// log.warn("No math locale lifecycle key for handler choice, default SessionLocaleHandler");
			// localeHandler = new SessionLocaleHandler();
			// }
			// log.info("Initialized locale handler : " +
			// localeHandler.toString());
		}
		return localeHandler;
	}

}
