/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.jdesigner.platform.web.multipart;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionMessage;

/**
 * MultipartExceptionHandlerImpl
 * 
 * @author leesangboo
 * 
 */
public class MultipartExceptionHandlerImpl implements MultipartExceptionHandler {

	private static final Log log = LogFactory.getLog(MultipartExceptionHandlerImpl.class);

	/*
	 * (non-Javadoc)
	 * 
	 * @seeorg.jdesigner.platform.web.multipart.MultipartExceptionHandler# handlerException (org.jdesigner.platform.web.multipart.MultipartException)
	 */
	public ActionMessage handleException(MultipartException exception) {

		ActionMessage message = null;
		try {
			switch (exception.getErrorCode()) {
			case MultipartException.INITIALIZE_ERROR:
				message = (new ActionMessage("multipart.error.initialize"));
				break;
			case MultipartException.MAX_FILE_SIZE_ERROR:
				message = (new ActionMessage("multipart.error.max.size", exception.getParameter()));
				break;
			case MultipartException.LIMIT_FILE_SUFFIX_ERROR:
				message = (new ActionMessage("multipart.error.limit.suffix", exception.getParameter()));
				break;
			case MultipartException.UN_CATCHED_ERROR:
				message = (new ActionMessage("multipart.error.uploading", exception.getMessage()));
				break;
			}
		} catch (Exception ex) {
			log.error("Multipart exception handler exception.", ex);
		}
		return message;
	}

}
