/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.jdesigner.platform.web.table;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import org.jdesigner.platform.web.form.InputsList;

/**
 * <B>Table</B>
 * 
 * @author leesangboo
 * 
 */
public class Table extends ArrayList implements List {

	private static final long serialVersionUID = 1L;

	private static final Log log = LogFactory.getLog(InputsList.class);

	private String[] names;

	public Table() {
		super(new ArrayList());
	}

	public Table(String[] names) {
		super(new ArrayList());
		this.names = names;
	}

	public Table(List list) {
		super(new ArrayList());
		if (list != null) {
			this.addAll(list);
		}
	}

	/**
	 * @return the names
	 */
	public String[] getNames() {
		return names;
	}

	/**
	 * @param names
	 *            the names to set
	 */
	public void setNames(String[] names) {
		this.names = names;
	}

	/**
	 * 
	 */
	public void print() {
		log.info("----------------------------------------------------");
		log.info(" TABLE PRINT ");
		log.info("----------------------------------------------------");
		for (int i = 0; this != null && i < this.size(); i++) {
			Map map = (Map) this.get(i);
			log.info("ROW[" + i + "] : DATA=" + map.toString());
		}
		log.info("----------------------------------------------------");
	}

}
