/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.jdesigner.platform.web.tag.bean;

import javax.servlet.jsp.JspException;

import org.apache.commons.lang.StringEscapeUtils;
import org.apache.struts.taglib.TagUtils;

/**
 * WriteTag
 * @author leesangboo
 *
 */
public class WriteTag extends org.apache.struts.taglib.bean.WriteTag {

	private static final long serialVersionUID = 1L;

	private boolean escape = false;

	private boolean newLineReplaceBr = false;

	public WriteTag() {
		super();
		escape = false;
		newLineReplaceBr = false;
	}

	public boolean isEscape() {
		return escape;
	}

	public void setEscape(boolean escape) {
		this.escape = escape;
	}

	public boolean isNewLineReplaceBr() {
		return newLineReplaceBr;
	}

	public void setNewLineReplaceBr(boolean newLineReplaceBr) {
		this.newLineReplaceBr = newLineReplaceBr;
	}

	public int doStartTag() throws JspException {
		// Look up the requested bean (if necessary)
		if (ignore) {
			if (TagUtils.getInstance().lookup(pageContext, name, scope) == null) {
				return (SKIP_BODY); // Nothing to output
			}
		}

		// Look up the requested property value
		Object value = TagUtils.getInstance().lookup(pageContext, name, property, scope);

		if (value == null) {
			return (SKIP_BODY); // Nothing to output
		}

		// Convert value to the String with some formatting
		String output = formatValue(value);

		//Escape Javascript
		if (escape) {
			output = StringEscapeUtils.escapeJavaScript(output);
		}

		//Escape Javascript
		if (newLineReplaceBr) {
			output = output.replaceAll("\n", "<br/>");
		}

		// Print this property value to our output writer, suitably filtered
		if (filter) {
			TagUtils.getInstance().write(pageContext, TagUtils.getInstance().filter(output));
		} else {
			TagUtils.getInstance().write(pageContext, output);
		}

		// Continue processing this page
		return (SKIP_BODY);
	}

}
