/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.jdesigner.platform.web.tag.ui;

import org.jdesigner.platform.web.tag.ui.template.UITemplateModel;

/**
 * <B>ContentTag</B>
 * 
 * @author leesangboo
 * 
 */
public class ContentTag extends BaseUITag {

	private static final long serialVersionUID = 1L;

	private static final String TEMPLATE_PATH = "content.ftl";

	private boolean resize;

	private boolean showHistory;

	private boolean showLoginUser;

	private String styleClass;

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.jdesigner.platform.web.tag.ui.BaseUITag#getStartModel()
	 */
	public UITemplateModel getStartModel() throws Exception {
		//
		UITemplateModel model = new UITemplateModel(TEMPLATE_PATH);
		model.put("id", id);
		model.put("resize", resize);
		model.put("showHistory", showHistory);
		model.put("showLoginUser", showLoginUser);
		model.put("styleClass", styleClass);

		return model;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.jdesigner.platform.web.tag.ui.BaseUITag#getEndModel()
	 */
	public UITemplateModel getEndModel() throws Exception {
		UITemplateModel model = new UITemplateModel(TEMPLATE_PATH);
		model.put("id", id);
		model.put("resize", resize);
		model.put("showHistory", showHistory);
		model.put("showLoginUser", showLoginUser);
		model.put("styleClass", styleClass);

		return model;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see oracle.erp.common.web.taglib.BaseUITag#reset()
	 */
	public void reset() {
		resize = true;
		showHistory = false;
		showLoginUser = false;
		styleClass = "content";
	}

	public boolean isResize() {
		return resize;
	}

	public void setResize(boolean resize) {
		this.resize = resize;
	}

	public boolean isShowHistory() {
		return showHistory;
	}

	public void setShowHistory(boolean showHistory) {
		this.showHistory = showHistory;
	}

	public boolean isShowLoginUser() {
		return showLoginUser;
	}

	public void setShowLoginUser(boolean showLoginUser) {
		this.showLoginUser = showLoginUser;
	}

	public String getStyleClass() {
		return styleClass;
	}

	public void setStyleClass(String styleClass) {
		this.styleClass = styleClass;
	}

}
