/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.jdesigner.platform.web.test;

import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.util.MessageResources;

import org.jdesigner.platform.util.StringUtils;
import org.jdesigner.platform.web.ActionInput;
import org.jdesigner.platform.web.validator.Validator;
import org.jdesigner.platform.web.validator.ValidatorSupport;

/**
 * <B>Test Action Bean Validator</B>
 * 
 * @author leesangboo
 * 
 */
public class TestActionBeanValidator extends ValidatorSupport implements Validator {

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.jdesigner.platform.web.validator.Validator#validate(org.jdesigner .common.web.ActionInput, org.apache.struts.util.MessageResources)
	 */
	public ActionErrors validate(ActionInput input, MessageResources messageResources) {
		ActionErrors erros = new ActionErrors();
		if (StringUtils.isEmpty(input.getString("username"))) {
			erros.add("username", new ActionMessage("validation.input.required", "Username"));
		}
		if (StringUtils.isEmpty(input.getString("password"))) {
			erros.add("password", new ActionMessage("validation.input.required", "Password"));
		}
		return (erros.size() > 0) ? erros : null;
	}

}
